@echo off
GOTO BEGIN
REM **************************************************************************
REM dESiRE inarchive view/download extract.bat
REM is used as : extract.bat <archivename>
REM                          <archivetype>
REM                          <filetoextract>
REM                          <workdir>
REM **************************************************************************
:BEGIN
if %2==ZIP goto ZIP
if %2==LZH goto LZH
if %2==LHA goto LHA
if %2==ARJ goto ARJ

GOTO END

:ZIP
pkunzip.exe -o %1 %3 %4 >NUL
GOTO END
:LZH
lha.exe P %1 %3 >%4\%3
GOTO END
:LHA
lha.exe P %1 %3 >%4\%3
GOTO END
:ARJ
arj.exe -y x %1 %3 -jw%4\%3 >NUL
GOTO END
:DMS
rem NOT implemented YET
GOTO END
:ZOO
rem NOT implemented YET
GOTO END
:PAK
rem NOT implemented YET
GOTO END
:DIG
rem NOT implemented YET
GOTO END
:LHARC

:END
rem returning to dESiRE

